from django.urls import reverse

from backoffice.tests.base import BackOfficeTestCase
from backoffice.tests.invitations.habitat import InvitationHabitatSendViewTestCase


class InvitationTestCase(BackOfficeTestCase):
    def test_invalid_invitation_type(self):
        self.client.force_login(self.staff)
        response = self.client.post(
            reverse('backoffice:invitation-send', kwargs={'type': 'invalid'}),
        )
        self.assertContains(response, 'Invalid invitation type', status_code=400)


__all__ = [
    'InvitationHabitatSendViewTestCase',
]
