# Generated by Django 3.2.5 on 2021-08-01 16:44

import datetime
from django.db import migrations, models
import django.db.models.deletion
import uuid


class Migration(migrations.Migration):

    dependencies = [
        ('core', '0060c_alter_eventparticipant_id'),
    ]

    operations = [
        migrations.CreateModel(
            name='ScheduleSource',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('import_type', models.CharField(help_text='ScheduleSource__import_type__help', max_length=20, verbose_name='ScheduleSource__import_type')),
                ('import_url', models.URLField(help_text='ScheduleSource__import_url__help', verbose_name='ScheduleSource__import_url')),
                ('import_configuration', models.JSONField(blank=True, help_text='ScheduleSource__import_configuration__help', null=True, verbose_name='ScheduleSource__import_configuration')),
                ('import_frequency', models.DurationField(default=datetime.timedelta(seconds=3600), help_text='ScheduleSource__import_frequency__help', verbose_name='ScheduleSource__import_frequency')),
                ('import_timeout', models.DurationField(default=datetime.timedelta(seconds=300), help_text='ScheduleSource__import_timeout__help', verbose_name='ScheduleSource__import_timeout')),
                ('last_import', models.DateTimeField(blank=True, help_text='ScheduleSource__last_import__help', null=True, verbose_name='ScheduleSource__last_import')),
                ('assembly', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='schedule_sources', to='core.assembly')),
            ],
        ),
        migrations.CreateModel(
            name='ScheduleSourceMapping',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('mapping_type', models.CharField(choices=[('unknown', 'unknown'), ('room', 'Room'), ('event', 'Event'), ('event_attachment', 'EventAttachment'), ('speaker', 'EventParticipant__type-speaker')], max_length=20)),
                ('source_id', models.CharField(max_length=200)),
                ('local_id', models.UUIDField(blank=True, null=True)),
                ('skip', models.BooleanField(default=False)),
                ('extra_data', models.JSONField(blank=True, null=True)),
                ('schedule_source', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='mappings', to='core.schedulesource')),
            ],
        ),
        migrations.CreateModel(
            name='ScheduleSourceImport',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('state', models.CharField(choices=[('unknown', 'ScheduleSourceImport__state-unknown'), ('prepared', 'ScheduleSourceImport__state-prepared'), ('started', 'ScheduleSourceImport__state-started'), ('conn_failed', 'ScheduleSourceImport__state-conn_failed'), ('fetched', 'ScheduleSourceImport__state-fetched'), ('importing', 'ScheduleSourceImport__state-importing'), ('import_failed', 'ScheduleSourceImport__state-import_failed'), ('timeout', 'ScheduleSourceImport__state-timeout'), ('completed', 'ScheduleSourceImport__state-completed'), ('error', 'ScheduleSourceImport__state-error')], max_length=20)),
                ('summary', models.CharField(blank=True, max_length=200, null=True)),
                ('start', models.DateTimeField(auto_now_add=True)),
                ('end', models.DateTimeField(null=True)),
                ('data', models.JSONField(blank=True, null=True)),
                ('schedule_source', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='imports', to='core.schedulesource')),
            ],
            options={'ordering': ['-start', '-end']},
        ),
    ]
