# Generated by Django 3.1.4 on 2021-12-06 21:26

from django.db import migrations, models
import uuid


def addUserUuids(apps, schema_editor):
    PlatformUser = apps.get_model('core', 'PlatformUser')
    for user in PlatformUser.objects.all():
        user.uuid = uuid.uuid4()
        user.save(update_fields=['uuid'])


class Migration(migrations.Migration):

    dependencies = [
        ('core', '0067_PlatformUser_slug_initialization'),
    ]

    operations = [
        migrations.AddField(
            model_name='platformuser',
            name='uuid',
            field=models.UUIDField(blank=True, null=True),
        ),
        migrations.RunPython(addUserUuids, reverse_code=migrations.RunPython.noop),
    ]
