# Generated by Django 4.2.5 on 2023-10-21 19:36

from django.db import migrations


def do(apps, schema_editor):
    """ copy user description to conferencemember model """
    PlatformUser = apps.get_model('core', 'PlatformUser')
    for u in PlatformUser.objects.all():
        for conference_member in u.conferences.all():
            conference_member.description = u.description
            conference_member.description_de = u.description_de
            conference_member.description_en = u.description_en

            conference_member.description_html = u.description_html
            conference_member.description_html_de = u.description_html_de
            conference_member.description_html_en = u.description_html_en
            conference_member.save()


def undo(apps, schema_editor):
    """ copy user description from conferencemember model back to the platformuser. Using any conferencemember as there can't be different descriptions. """
    PlatformUser = apps.get_model('core', 'PlatformUser')
    for u in PlatformUser.objects.all():
        conference_member = u.conferences.first()
        u.description = conference_member.description
        u.description_de = conference_member.description_de
        u.description_en = conference_member.description_en
        u.description_html = conference_member.description_html
        u.description_html_de = conference_member.description_html_de
        u.description_html_en = conference_member.description_html_en
        u.save()


class Migration(migrations.Migration):

    dependencies = [
        ('core', '0104_conferencemember_description1'),
    ]

    operations = [
        migrations.RunPython(do, undo, elidable=True),
    ]
