# Generated by Django 4.2.6 on 2023-10-31 03:19
import uuid

from django.db import migrations
from django.db.models import Count


def forwards_func(apps, schema_editor):
    BadgeToken = apps.get_model('core', 'BadgeToken')
    BadgeToken.objects.all().delete()
    Badge = apps.get_model('core', 'Badge')
    dups = (
        Badge.objects.values('name')
        .annotate(
            count=Count(
                'issuing_assembly',
            )
        )
        .values('name')
        .order_by()
        .filter(count__gt=1)
    )
    for badge in Badge.objects.filter(name__in=dups):
        badge.name = f'{badge.name} ({badge.id})'
        badge.save()

    UserBadge = apps.get_model("core", "UserBadge")
    for badge in Badge.objects.all():
        old_obj_id = badge.id
        badge.id = uuid.uuid4()
        model_obj = UserBadge.objects.filter(**{"badge_id": old_obj_id}).first()
        if model_obj:
            setattr(model_obj, "badge_id", badge)
            model_obj.save(update_fields=["badge_id"])

        badge.save()
        Badge.objects.filter(id=old_obj_id).first().delete()


def reverse_func(apps, schema_editor):
    BadgeToken = apps.get_model('core', 'BadgeToken')
    BadgeToken.objects.all().delete()

    Badge = apps.get_model('core', 'Badge')
    for id, badge in enumerate(Badge.objects.all()):
        old_obj_id = badge.id
        badge.id = id
        badge.save()
        Badge.objects.filter(id=old_obj_id).first().delete()

        Model = apps.get_model("core", "UserBadge")
        model_obj = Model.objects.filter(**{"badge": old_obj_id}).first()
        if model_obj:
            setattr(model_obj, "badge", badge)
            model_obj.save(update_fields=["badge"])


class Migration(migrations.Migration):
    dependencies = [
        ('core', '0114_prepare_primary_keys_badge_badgetoken'),
    ]

    operations = [
        migrations.RunPython(forwards_func, reverse_func),
    ]
